Retrieve a delta

Returns work locations that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-locations?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-work-locations.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the work location.
name.default string — Read-only Default name of the work location.
name.translations object — Read-only Translated names for supported languages.
description string — Read-only Description of the work location.

Filters

This endpoint does not support filters. A delta always covers all work locations. A request that includes the filter query parameter is rejected with 400 Bad Request, both when starting a delta (?delta) and when following a deltaLink.

External references

This endpoint does not support external references.

Error responses

Status Condition
400 Unsupported query parameter, such as filter or externalReferences
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

Retrieving delta changes for work locations

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-locations?delta